## mit-scheme 7.7.90+20070623

=== Makefile ===
# $Id: Makefile,v 1.1 2001/02/24 02:55:18 cph Exp $
#
# Copyright (c) 2001 Massachusetts Institute of Technology
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA.

SUBDIRS = src

all:
	@for SUBDIR in $(SUBDIRS); do \
	    echo "Making $@ in $${SUBDIR}";\
	    ( cd $${SUBDIR}; $(MAKE) $@ ) || exit 1;\
	done

mostlyclean clean distclean maintainer-clean tags TAGS install:
	@for SUBDIR in $(SUBDIRS); do \
	    echo "Making $@ in $${SUBDIR}";\
	    ( cd $${SUBDIR}; $(MAKE) $@ ) || exit 1;\
	done

install-info-gz install-info install-html install-pdf install-ps:
	echo "making $@ in doc"
	( cd doc && $(MAKE) $@ )

.PHONY: all mostlyclean clean distclean maintainer-clean tags TAGS install
.PHONY: install-info-gz install-info install-html install-pdf install-ps

## mit-scheme 9.0.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,3 @@
-# $Id: Makefile,v 1.1 2001/02/24 02:55:18 cph Exp $
-#
 # Copyright (c) 2001 Massachusetts Institute of Technology
 #
 # This program is free software; you can redistribute it and/or modify

## mit-scheme 9.1.1

=== src/swat/c/Makefile ===
## WARNING: This makefile is designed to be used only from the master
## makefile in the parent directory.

#_______________________________________________________________________
#
# How this makefile works.
#
# This makefile builds four libraries.  Two are based directly on
# Tk/Tcl.  The other two are an interface between Scheme, X and
# Tk/Tcl.
#
# The build process works by customizing an off-the-shelf version of tk
# (currently version 3.2).  The SWAT versions of some of the files are
# copied over the off-the-shelf version.  The customized version is
# compiled to produce the libtk.a and libtcl.a libraries.  These
# libraries are not acutally used but they ensure that all the targets
# that we are interested in are up to date.  Then we construct our own
# libraries (tk.sl and tcl.sl).
#
# The other libraries are more straight-forward.
#_______________________________________________________________________

# The location of the customized files.  The directory structure matches
# that of tk3.2 and is sparsely populated with customized files:

CUSTOM = tk3.2-custom

# Important: select a microcode source directory with the correct scheme
# object representation:

SCHEME_INCLUDE_DIRS =  -I/scheme/8.0/src/microcode

TK =        tk3.2
TCL =       $(TK)/tcl

#UITK_INCLUDE_DIRS = -I $(UITK) -I $(UITK_C) -I $(TK) -I $(TCL) $(SCHEME_INCLUDE_DIRS)
UITK_INCLUDE_DIRS = -I $(TK) -I $(TCL) $(SCHEME_INCLUDE_DIRS)
CFLAGS = -DMIT_SCHEME -O  -Ae -D_HPUX -I/usr/include/X11R5 +z

XLIB		= -L /usr/lib/X11R5 -lX11

# These library paths are overruled by the master makefile.

#TK_LIBRARY	= /scheme/8.0/700/swat/c/tk3.2/library
#TCL_LIBRARY	= /scheme/8.0/700/swat/c/tk3.2/tcl/library
TK_LIBRARY	= Built_incorrectly__TK_LIBRARY__not_specified
TCL_LIBRARY	= Built_incorrectly__TCL_LIBRARY__not_specified

TCL_GENERIC_OBJS = \
	$(TCL)/regexp.o     $(TCL)/tclAssem.o   $(TCL)/tclBasic.o \
	$(TCL)/tclCkalloc.o $(TCL)/tclCmdAH.o   $(TCL)/tclCmdIL.o \
	$(TCL)/tclCmdMZ.o   $(TCL)/tclExpr.o    $(TCL)/tclGet.o \
	$(TCL)/tclHash.o    $(TCL)/tclHistory.o $(TCL)/tclParse.o \
	$(TCL)/tclProc.o    $(TCL)/tclUtil.o    $(TCL)/tclVar.o

TCL_UNIX_OBJS = \
        $(TCL)/panic.o $(TCL)/tclEnv.o $(TCL)/tclGlob.o $(TCL)/tclUnixAZ.o \
	$(TCL)/tclUnixStr.o $(TCL)/tclUnixUtil.o 

TCL_OBJS = $(TCL_GENERIC_OBJS) $(TCL_UNIX_OBJS) MITScheme.o

TK_WIDGOBJS = \
	$(TK)/tkButton.o $(TK)/tkEntry.o    $(TK)/tkFrame.o $(TK)/tkListbox.o \
	$(TK)/tkMenu.o $(TK)/tkMenubutton.o $(TK)/tkMessage.o $(TK)/tkScale.o \
	$(TK)/tkScrollbar.o

TK_CANVOBJS = \
	$(TK)/tkCanvas.o   $(TK)/tkCanvArc.o  $(TK)/tkCanvBmap.o \
	$(TK)/tkCanvLine.o $(TK)/tkCanvPoly.o $(TK)/tkCanvPs.o \
	$(TK)/tkCanvText.o $(TK)/tkCanvWind.o $(TK)/tkRectOval.o $(TK)/tkTrig.o

TK_TEXTOBJS = $(TK)/tkText.o $(TK)/tkTextBTree.o $(TK)/tkTextDisp.o \
	$(TK)/tkTextIndex.o $(TK)/tkTextTag.o

TK_OBJS = \
	$(TK)/tk3d.o     $(TK)/tkArgv.o  $(TK)/tkAtom.o  $(TK)/tkBind.o \
	$(TK)/tkBitmap.o $(TK)/tkCmds.o  $(TK)/tkColor.o $(TK)/tkConfig.o \
	$(TK)/tkCursor.o $(TK)/tkError.o $(TK)/tkEvent.o $(TK)/tkFocus.o \
	$(TK)/tkFont.o   $(TK)/tkGet.o   $(TK)/tkGC.o    $(TK)/tkGeometry.o \
	$(TK)/tkGrab.o   $(TK)/tkOption.o $(TK)/tkPack.o $(TK)/tkPlace.o \
	$(TK)/tkPreserve.o $(TK)/tkSelect.o $(TK)/tkSend.o $(TK)/tkWindow.o \
	$(TK)/tkWm.o $(TK_WIDGOBJS) $(TK_CANVOBJS) $(TK_TEXTOBJS) MITScheme.o

UITK_OBJS = tk-c.o tk-c-mit.o widget-c.o widget-c-mit.o uitk-prims.o
SCXL_OBJS = scxl.o

# Contents of custom directory structure:

CUSTOM_SRC = \
	$(CUSTOM)/Makefile \
	$(CUSTOM)/tkEvent.c $(CUSTOM)/tkWindow.c \
	$(CUSTOM)/tcl/Makefile $(CUSTOM)/tcl/tclUnix.h \
	$(CUSTOM)/library/emacs.tcl

all:  scxl.sl tcl.sl tk.sl uitk.sl

scxl.sl: $(SCXL_OBJS)
	rm -f scxl.sl
	ld -b -o scxl.sl  $(SCXL_OBJS) $(XLIB) -lc

tcl.sl: $(TCL)/libtcl.a MITScheme.o
	rm -f tcl.sl
	ld -b -o tcl.sl  $(TCL_OBJS) -lc

tk.sl: $(TK)/libtk.a MITScheme.o
	rm -f tk.sl
	ld -b -o tk.sl  $(TK_OBJS) $(XLIB) -lm -lc

uitk.sl: $(UITK_OBJS)
	rm -f uitk.sl
	ld -b -o uitk.sl  $(UITK_OBJS) -lm -lc

scxl.o MITScheme.o uitk-prims.o:
	$(CC) $(CFLAGS) $(SCHEME_INCLUDE_DIRS) -c $*.c

MITScheme.o: MITScheme.c
scxl.o: scxl.c
uitk-prims.o: uitk-prims.c

widget-c.o widget-c-mit.o tk-c-mit.o: $(TK)/tkInt.h $(TK)/default.h
	$(CC) $(CFLAGS) $(UITK_INCLUDE_DIRS) -c $*.c

tk-c.o: tk-c.c $(TK)/tkInt.h $(TK)/default.h
	$(CC) $(CFLAGS) $(UITK_INCLUDE_DIRS) TK_LIBRARY=$(TK_LIBRARY) \
		TCL_LIBRARY=$(TCL_LIBRARY) -c $*.c
widegt-c.o: widget-c.c
widget-c-mit.o: widget-c-mit.c
tk-c-mit.o: tk-c-mit.c

#$(TCL_OBJS) $(TK_OBJS): customization
$(TCL)/libtcl.a $(TK)/libtk.a: customization

customization: $(CUSTOM_SRC)
	(cd $(TCL); ./config)
	# overwrite standard code with customized files
	cp -f -R tk3.2-custom/* tk3.2
	rm -f $(TK)/libtk.a $(TCL)/libtcl.a
	(cd tk3.2; \
	 make -f Makefile TCL_LIBRARY=$(TCL_LIBRARY) TK_LIBRARY=$(TK_LIBRARY) \
                 libtk.a tcl/libtcl.a \
	)
	date > customization

=== src/swat/c/tk3.2-custom/Makefile ===
#
# This is a simplified Makefile for use in Tk distributions.  Before using
# it to compile Tk, you may wish to reset some of the following variables:
#
# TCL_DIR -		Name of directory holding tcl.h and tcl.a.
# XLIB -		If your Xlib library isn't in the standard place,
#			you can replace "-lX11" with the name of the file
#			containing your library archive.
# INSTALL_DIR -		Full path name of top-level directory where
#			information is installed.
# TK_LIBRARY -		Full path name of directory to contain scripts
#			and other library files used by Tk.  This value
#			is available to applications as the variable
#			$tk_library.  If the environment variable
#			TK_LIBRARY is defined by a user, it will override
#			the value specified in this Makefile.
# LIB_DIR -		Directory in which to install the archive libtcl.a
# BIN_DIR -		Directory in which to install executables such as wish.
# INCLUDE_DIR -		Directory in which to install header files.
# MANx_DIR -		Directories in which to install manual entries.
# RANLIB -		If you're using a System-V-based UNIX that doesn't
#			have ranlib, change this definition to "echo" or
#			something else harmless.
# SHELL -		Some versions of make (e.g. SGI's) use this variable
#			to determine which shell to use for executing
#			commands.
#

TCL_DIR		= tcl
XLIB		= -lX11
INSTALL_DIR	= /usr/local
LIB_DIR		= $(INSTALL_DIR)/lib
TK_LIBRARY	= $(INSTALL_DIR)/lib/tk
BIN_DIR		= $(INSTALL_DIR)/bin
INCLUDE_DIR	= $(INSTALL_DIR)/include
MAN1_DIR	= $(INSTALL_DIR)/man/man1
MAN3_DIR	= $(INSTALL_DIR)/man/man3
MANN_DIR	= $(INSTALL_DIR)/man/mann
RANLIB		= ranlib
SHELL		= /bin/sh

# ANSI-C procedure prototypes are turned on by default if supported
# by the compiler.  To turn them off, uncomment the following line:

# NP =		-DNO_PROTOTYPE

# To compile under OpenWindows, uncomment the following line:

# OW =		-I/usr/openwin/include -L/usr/openwin/lib
CC		= cc
CFLAGS		= -I. -I$(TCL_DIR) -O -DTK_LIBRARY=\"${TK_LIBRARY}\" +z \
	${NP} ${OW}

LIBS = libtk.a $(TCL_DIR)/libtcl.a

WIDGOBJS = tkButton.o tkEntry.o tkFrame.o tkListbox.o \
	tkMenu.o tkMenubutton.o tkMessage.o tkScale.o \
	tkScrollbar.o

CANVOBJS = tkCanvas.o tkCanvArc.o tkCanvBmap.o tkCanvLine.o \
	tkCanvPoly.o tkCanvPs.o tkCanvText.o tkCanvWind.o \
	tkRectOval.o tkTrig.o

TEXTOBJS = tkText.o tkTextBTree.o tkTextDisp.o tkTextIndex.o tkTextTag.o

OBJS = tk3d.o tkArgv.o tkAtom.o tkBind.o tkBitmap.o tkCmds.o \
	tkColor.o tkConfig.o tkCursor.o tkError.o tkEvent.o \
	tkFocus.o tkFont.o tkGet.o tkGC.o tkGeometry.o tkGrab.o \
        tkOption.o tkPack.o tkPlace.o tkPreserve.o tkSelect.o \
        tkSend.o tkWindow.o tkWm.o $(WIDGOBJS) \
	$(CANVOBJS) $(TEXTOBJS)

WIDGSRCS = tkButton.c tkEntry.c tkFrame.c tkListbox.c \
	tkMenu.c tkMenubutton.c tkMessage.c tkScale.c \
	tkScrollbar.c tkText.c tkTextBTree.c tkTextDisp.c \
	tkTextIndex.c

CANVSRCS = tkCanvas.c tkCanvArc.c tkCanvBmap.c tkCanvLine.c \
	tkCanvPoly.c tkCanvPs.c tkCanvText.c tkCanvWind.c \
	tkRectOval.c tkTrig.c

TEXTSRCS = tkText.c tkTextBTree.c tkTextDisp.c tkTextIndex.c tkTextTag.c

SRCS = tk3d.c tkArgv.c tkAtom.c tkBind.c tkBitmap.c tkCmds.c \
	tkColor.c tkConfig.c tkCursor.c tkError.c tkEvent.c \
	tkFocus.c tkFont.c tkGet.c tkGC.c tkGeometry.c tkGrab.c \
        tkOption.c tkPack.c tkPlace.c tkPreserve.c tkSelect.c \
        tkSend.c tkWindow.c tkWm.c $(WIDGSRCS) \
	$(CANVSRCS) $(TEXTSRCS)

all: libtk.a wish

wish: main.o $(LIBS)
	$(CC) $(CFLAGS) main.o $(LIBS) $(XLIB) -lm -o wish

libtk.a: $(OBJS)
	rm -f libtk.a
	ar cr libtk.a $(OBJS)
	$(RANLIB) libtk.a

$(TCL_DIR)/libtcl.a:
	cd $(TCL_DIR); $(MAKE) $(MFLAGS) TCL_LIBRARY=$(TCL_LIBRARY) libtcl.a

install: libtk.a wish $(TCL_DIR)/libtcl.a
	-if [ ! -d $(LIB_DIR) ] ; then mkdir -p $(LIB_DIR); fi
	-if [ ! -d $(INCLUDE_DIR) ] ; then mkdir -p $(INCLUDE_DIR); fi
	-if [ ! -d $(TK_LIBRARY) ] ; then mkdir -p $(TK_LIBRARY); fi
	-if [ ! -d $(BIN_DIR) ] ; then mkdir -p $(BIN_DIR); fi
	-if [ ! -d $(MAN1_DIR) ] ; then mkdir -p $(MAN1_DIR); fi
	-if [ ! -d $(MAN3_DIR) ] ; then mkdir -p $(MAN3_DIR); fi
	-if [ ! -d $(MANN_DIR) ] ; then mkdir -p $(MANN_DIR); fi
	rm -rf $(TK_LIBRARY)/*
	cp -r library/*.tcl library/tclIndex library/demos $(TK_LIBRARY)
	cp library/prolog.ps $(TK_LIBRARY)
	rm -f $(LIB_DIR)/libtk.a
	cp libtk.a $(LIB_DIR)
	$(RANLIB) $(LIB_DIR)/libtk.a
	rm -f $(BIN_DIR)/wish
	cp wish $(BIN_DIR)
	rm -f $(INCLUDE_DIR)/tk.h
	cp tk.h $(INCLUDE_DIR)
	cd doc; for i in *.1; \
	    do \
	    rm -f $(MAN1_DIR)/$$i; \
	    sed -e '/man\.macros/r man.macros' -e '/man\.macros/d' \
		    $$i > $(MAN1_DIR)/$$i; \
	    done; cd ..
	cd doc; for i in *.3; \
	    do \
	    rm -f $(MAN3_DIR)/$$i; \
	    sed -e '/man\.macros/r man.macros' -e '/man\.macros/d' \
		    $$i > $(MAN3_DIR)/$$i; \
	    done; cd ..
	cd doc; for i in *.n; \
	    do \
	    rm -f $(MANN_DIR)/$$i; \
	    sed -e '/man\.macros/r man.macros' -e '/man\.macros/d' \
		    $$i > $(MANN_DIR)/$$i; \
	    done; cd ..
	cd $(TCL_DIR); $(MAKE) $(MFLAGS) INSTALL_DIR=$(INSTALL_DIR) install

clean:
	rm -f $(OBJS) main.o libtk.a wish
	cd $(TCL_DIR); $(MAKE) $(MFLAGS) clean

$(OBJS): tk.h tkInt.h tkConfig.h
$(WIDGOBJS): default.h
$(CANVOBJS): default.h tkCanvas.h
$(TEXTOBJS): default.h tkText.h
main.o: tk.h tkInt.h

=== debian/changelog ===
mit-scheme (9.1.1-5build3) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Feb 2018 17:54:33 +0000

mit-scheme (9.1.1-5build2) bionic; urgency=medium

  * Rebuild against new libgdbm5.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Feb 2018 15:25:54 +0100

mit-scheme (9.1.1-5build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:43:14 +0000

mit-scheme (9.1.1-5) unstable; urgency=low

  * ${DPKG_MAINTSCRIPT_ARCH} i486 is i386

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 30 Aug 2013 16:31:28 +0100

mit-scheme (9.1.1-4) unstable; urgency=low

  * use ${DPKG_MAINTSCRIPT_ARCH} in installation scripts as
    dpkg-architecture might be unavailable (closes: #721230)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 30 Aug 2013 13:58:16 +0100

mit-scheme (9.1.1-3) unstable; urgency=low

  * patch for bracing makeinfo 5 issues

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 29 Aug 2013 23:08:30 +0100

mit-scheme (9.1.1-2) unstable; urgency=low

  * build dependency on texinfo

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 28 Aug 2013 14:47:17 +0100

mit-scheme (9.1.1-1) unstable; urgency=low

  * New upstream
  * update packaging scripts: dh9, bump policy version, etc
  * support amd64 (closes: #714887)
  * support multiarch, so i386 and amd64 can co-exist
  * allow parallel build
  * engage autoreconf
  * reduce lintian clutter from debian/control and debian/copyright

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 13 Aug 2013 09:32:08 +0200

mit-scheme (9.1-1) unstable; urgency=low

  * New upstream.
  * debian/control, debian/copyright, debian/mit-scheme-doc.*,
    debian/mit-scheme.install, debian/rules, Upstream has removed cover
    texts from documentation licenses, so merge packages mit-scheme and
    mit-scheme-doc back together.
  * debian/compat: Bump to current version.
  * debian/control: Bump standards-version to current and make
    necessary changes.
  * debian/rules: Fix lintian warnings.

 -- Chris Hanson <cph@debian.org>  Sat, 15 Oct 2011 03:08:33 -0700

mit-scheme (9.0.1-1+b1) sid; urgency=low

  * Binary-only non-maintainer upload for i386; no source changes.
  * Rebuild against libssl1.0.0

 -- i386 Build Daemon (murphy) <buildd_i386-murphy@buildd.debian.org>  Wed, 13 Apr 2011 00:54:48 +0000

mit-scheme (9.0.1-1) unstable; urgency=low

  * New upstream.
  * debian/watch: Fix, previous version was broken.

 -- Chris Hanson <cph@debian.org>  Wed, 10 Mar 2010 02:00:45 -0800

mit-scheme (9.0-1) unstable; urgency=low

  * New upstream.
  * debian/emacs*: removed.
  * debian/mit-scheme-native.1: renamed to debian/mit-scheme-i386.1.
  * debian/mit-scheme.{desktop,dirs,install,manpages,menu,postinst,prerm},
    debian/mit-scheme-i386.1, debian/control, debian/rules: updated for
    upstream changes.
  * debian/control: Bump standards-version to 3.8.4 (no changes).
  * debian/watch: Uncomment pattern for stable releases.

 -- Chris Hanson <cph@debian.org>  Sat, 27 Feb 2010 23:50:14 -0800

mit-scheme (7.7.90+20090107-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add missing build-dep on libltdl-dev (Closes: #523912)

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 26 Nov 2009 10:08:46 +0100

mit-scheme (7.7.90+20090107-1) unstable; urgency=low

  * New upstream.
  * debian/control: Bump standards-version to 3.8.0 (no changes).
  * debian/control: Add homepage field.
  * debian/copyright: Update copyright dates.

 -- Chris Hanson <cph@debian.org>  Wed, 07 Jan 2009 23:12:52 -0800

mit-scheme (7.7.90+20080130-1) unstable; urgency=low

  * New upstream.  (closes: Bug#458700, Bug#375858)
  * debian/control: Bump standards-version to 3.7.3 (no changes).
  * debian/copyright: Update copyright dates.
  * debian/copyright: Add build-dep on libdb-dev.
  * debian/mit-scheme.desktop: Add --heap arg to Exec field.
  * debian/mit-scheme-native.1: Fix lintian error:
    manpage-has-bad-whatis-entry

 -- Chris Hanson <cph@debian.org>  Wed, 30 Jan 2008 21:22:48 -0500

mit-scheme (7.7.90+20070909-1) unstable; urgency=low

  * New upstream.

 -- Chris Hanson <cph@debian.org>  Fri, 28 Sep 2007 22:11:46 -0400

mit-scheme (7.7.90+20070820-1) unstable; urgency=low

  * New upstream.
  * Fix lintian warnings:
      W: mit-scheme: desktop-entry-invalid-category
      W: mit-scheme: menu-item-uses-apps-section

 -- Chris Hanson <cph@debian.org>  Tue, 21 Aug 2007 14:16:58 -0400

mit-scheme (7.7.90+20070623-1) unstable; urgency=low

  * New upstream.
  * debian/rules, debian/mit-scheme.install,
    debian/mit-scheme-dbg.install: adjust for changes to upstream
    directory organization.
  * debian/mit-scheme.prerm, debian/mit-scheme.manpages,
    debian/mit-scheme-native.1, debian/mit-scheme.menu,
    debian/mit-scheme.desktop, debian/mit-scheme.postinst: name of
    executable has changed to "mit-scheme-native", and "mit-scheme" is now
    managed as an alternative.  This is to simplify coexistence with the
    mit-scheme-c package.
  * debian/bchscheme.1: removed since bchscheme executable no longer in
    upstream.

 -- Chris Hanson <cph@debian.org>  Sun, 24 Jun 2007 00:10:57 -0400

mit-scheme (7.7.90+20070205-1) unstable; urgency=low

  * New upstream.

 -- Chris Hanson <cph@debian.org>  Mon, 5 Feb 2007 13:04:49 -0500

mit-scheme (7.7.90+20060906-3) unstable; urgency=low

  * No changes; rebuild with downgraded openssl in order to permit
    transition into testing.

 -- Chris Hanson <cph@debian.org>  Wed, 20 Sep 2006 21:59:42 -0400

mit-scheme (7.7.90+20060906-2) unstable; urgency=low

  * debian/mit-scheme.emacsen-remove: don't purge if directory doesn't
    exist.  (closes: Bug#387788)

 -- Chris Hanson <cph@debian.org>  Tue, 19 Sep 2006 12:43:46 -0400

mit-scheme (7.7.90+20060906-1) unstable; urgency=low

  * New upstream.
  * Fix Priority of mit-scheme-dbg to match overrides.
  * Use debhelper v5.


=== debian/control ===
Source: mit-scheme
Section: lisp
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chris Hanson <cph@debian.org>
DM-Upload-Allowed: yes
Uploaders: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf,
		mit-scheme,
		libssl-dev, libmhash-dev, libmcrypt-dev,
		libgdbm-dev, libpq-dev,
		libncurses5-dev,
		libx11-dev, libxt-dev,
		libdb-dev, libltdl-dev,
		texinfo, texlive
Standards-Version: 3.9.4
Homepage: http://www.gnu.org/software/mit-scheme/
Vcs-Git: git://anonscm.debian.org/collab-maint/mit-scheme.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mit-scheme.git

Package: mit-scheme
Architecture: i386 amd64
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: mime-support
Suggests: mit-scheme-dbg, mit-scheme-doc
Description: MIT/GNU Scheme development environment
 MIT/GNU Scheme is an implementation of the Scheme programming language,
 providing an interpreter, compiler, source-code debugger, integrated
 Emacs-like editor, and a large runtime library.  MIT/GNU Scheme is best
 suited to programming large applications with a rapid development
 cycle.
 .
 This package contains the development environment.

Package: mit-scheme-dbg
Section: debug
Priority: extra
Architecture: i386 amd64
Multi-Arch: same
Depends: mit-scheme (= ${binary:Version}), ${misc:Depends}
Enhances: mit-scheme (= ${binary:Version})
Breaks: mit-scheme (<< 7.7.90+20060414-0)
Replaces: mit-scheme (<< 7.7.90+20060414-0)
Description: MIT/GNU Scheme debugging files
 MIT/GNU Scheme is an implementation of the Scheme programming language,
 providing an interpreter, compiler, source-code debugger, integrated
 Emacs-like editor, and a large runtime library.  MIT/GNU Scheme is best
 suited to programming large applications with a rapid development
 cycle.
 .
 This package contains debugging files for the development
 environment.  These files provide support for debugging the MIT/GNU
 Scheme system, and are useful only if you need to see the system
 internals while you are debugging.

Package: mit-scheme-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Enhances: mit-scheme (= ${binary:Version})
Breaks: mit-scheme (<< 7.7.90+20060414-0)
Replaces: mit-scheme (<< 7.7.90+20060414-0)
Description: MIT/GNU Scheme documentation
 MIT/GNU Scheme is an implementation of the Scheme programming language,
 providing an interpreter, compiler, source-code debugger, integrated
 Emacs-like editor, and a large runtime library.  MIT/GNU Scheme is best
 suited to programming large applications with a rapid development
 cycle.
 .
 This package contains documentation in Info, HTML, and PDF formats.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf --parallel

override_dh_autoreconf:
	dh_autoreconf sh -- -e -x -c 'for d in src doc; do (cd $$d && autoreconf -f -i) done'

CONF_FLAGS += --docdir=/usr/share/doc/mit-scheme-doc
CONF_FLAGS += --enable-html=/usr/share/doc/mit-scheme-doc/html
CONF_FLAGS += --enable-pdf=/usr/share/doc/mit-scheme-doc/pdf
CONF_FLAGS += --enable-ps=no

override_dh_auto_configure:
	dh_auto_configure --sourcedirectory=src -- $(CONF_FLAGS)
	dh_auto_configure --sourcedirectory=doc -- $(CONF_FLAGS)

# override_dh_auto_build:
# SCHEME_COMPILER=mit-scheme $(MAKE)

DEB_HOST_GNU_CPU=$(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
ifeq ($(DEB_HOST_GNU_CPU),x86_64)
BIN_ARCH=x86-64
else
BIN_ARCH=$(DEB_HOST_GNU_CPU)
endif

override_dh_auto_install:
	dh_auto_install --sourcedirectory=src
	dh_auto_install --sourcedirectory=doc -- install-html install-pdf
	cd debian/tmp/usr/bin && \
	 rm --verbose -f scheme bchscheme mit-scheme mit-scheme-native
	find debian/tmp/usr/lib -name runtime.com -delete

# Upstream changelog is over 5MB, leave a copy in the doc package but
# remove it from the binary package to reduce bloat.
# See http://dedup.debian.net/.
override_dh_installchangelog:
	dh_installchangelog
	-rm --verbose debian/mit-scheme/usr/share/doc/mit-scheme/changelog
	-rm --verbose debian/mit-scheme-dbg/usr/share/doc/mit-scheme-dbg/changelog

override_dh_link:
	dh_link /usr/share/man/man1/mit-scheme.1.gz /usr/share/man/man1/mit-scheme-$(BIN_ARCH).1.gz

override_dh_auto_clean:
	-dh_auto_clean

override_dh_clean:
	dh_clean --exclude=TAGS

## mit-scheme 10.1.2

=== debian/changelog ===
mit-scheme (10.1.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Fix wrong Vcs-*

  [ Barak A. Pearlmutter ]
  * check upstream tarball signatures
  * new upstream release
  * bump standards version
  * merge / update quilt patches
  * typo in debian/rules (closes: #834651)
  * remove Chris Hanson, who has retired, as maintainer (closes: #829686)
  * install entire /usr/lib/ARCH/mit-scheme hierarchy
  * info file installation tweaks, for compression
  * manually shift .bci files from mit-scheme to mit-scheme-dbg
  * build dependency on mit-scheme (>= 10)
  * PDF file is gone: imail documentation seems info-only now
  * per policy, menu file begone
  * upstream build rife with race conditions: dh --no-parallel
  * stop removing runtime.com, needed for self-hosted rebuild
  * patch: AUXDIR_NAME needs to be fixed twice (upstream SPOT violation)
  * do not install *.la library support file
  * secure a couple URLs
  * add desktop icon and keywords
  * harden
  * lintian tag desktop-mime-but-no-exec-code
  * lintian tag public-upstream-key-not-minimal
  * secure debian/watch URL

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 11 Nov 2018 14:13:23 +0000

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,19 @@
 Source: mit-scheme
 Section: lisp
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Chris Hanson <cph@debian.org>
-DM-Upload-Allowed: yes
-Uploaders: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf,
-		mit-scheme,
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Build-Depends: debhelper (>= 11),
+		mit-scheme (>= 10),
 		libssl-dev, libmhash-dev, libmcrypt-dev,
 		libgdbm-dev, libpq-dev,
 		libncurses5-dev,
 		libx11-dev, libxt-dev,
 		libdb-dev, libltdl-dev,
 		texinfo, texlive
-Standards-Version: 3.9.4
-Homepage: http://www.gnu.org/software/mit-scheme/
-Vcs-Git: git://anonscm.debian.org/collab-maint/mit-scheme.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mit-scheme.git
+Standards-Version: 4.2.1
+Homepage: https://www.gnu.org/software/mit-scheme/
+Vcs-Git: https://salsa.debian.org/debian/mit-scheme.git
+Vcs-Browser: https://salsa.debian.org/debian/mit-scheme
 
 Package: mit-scheme
 Architecture: i386 amd64
@@ -35,7 +32,6 @@
 
 Package: mit-scheme-dbg
 Section: debug
-Priority: extra
 Architecture: i386 amd64
 Multi-Arch: same
 Depends: mit-scheme (= ${binary:Version}), ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Passing --no-parallel because of some creepy race conditions, like
# on building x11-compat which can get built twice and if the second
# build happens at just the wrong time it interferes with the first
# build or with an invocation of the generated executable.

%:
	dh $@ --no-parallel

override_dh_autoreconf:
	dh_autoreconf sh -- -e -x -c \
	  'for d in src doc; \
	    do (cd $$d && autoreconf -f -i) done'

CONF_FLAGS += --docdir=/usr/share/doc/mit-scheme-doc
CONF_FLAGS += --enable-html=/usr/share/doc/mit-scheme-doc/html
CONF_FLAGS += --enable-pdf=/usr/share/doc/mit-scheme-doc/pdf
CONF_FLAGS += --enable-ps=no

override_dh_auto_configure:
	dh_auto_configure --sourcedirectory=src -- $(CONF_FLAGS)
	dh_auto_configure --sourcedirectory=doc -- $(CONF_FLAGS)

# override_dh_auto_build:
# SCHEME_COMPILER=mit-scheme $(MAKE)

DEB_HOST_GNU_CPU=$(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
ifeq ($(DEB_HOST_GNU_CPU),x86_64)
BIN_ARCH=x86-64
else
BIN_ARCH=$(DEB_HOST_GNU_CPU)
endif

override_dh_auto_install:
	dh_auto_install --sourcedirectory=src
	dh_auto_install --sourcedirectory=doc -- install-html install-pdf
	@echo remove symbolic link executables
	cd debian/tmp/usr/bin && \
	for f in scheme bchscheme mit-scheme mit-scheme-native; do \
	  if [ -L $$f ]; then \
	    rm --verbose -f $$f; \
	  else \
	    echo skipping $$f; \
	  fi; \
	done
#	@echo delete runtime.com for MYSTERIOUS reasons
#	@echo stop doing this because it breaks future builds
#	find debian/tmp/usr/lib -name runtime.com -ls -delete
	@echo allow dh scripts to compress info files themselves
	find debian/tmp \( -name '*.info.gz' -o -name '*.info-*.gz' \) -ls -exec gunzip '{}' ';'
	@echo remove .la library support files as these are not actually used by the dynamic linker
	find debian/tmp -name '*.la' -ls -delete

override_dh_install:
	dh_install
	@echo All .bci files belong in -dbg, move them manually for robustness
	mkdir -p debian/mit-scheme-dbg
	tar -C debian/mit-scheme -cf - $$(cd debian/mit-scheme && find -name '*.bci') \
	 | tar -C debian/mit-scheme-dbg -xvf -
	find debian/mit-scheme -name '*.bci' -delete
	@echo remove empty directory
	-rmdir debian/mit-scheme/usr/lib/x86_64-linux-gnu/mit-scheme/lib

# Upstream changelog is over 5MB, leave a copy in the doc package but
# remove it from the binary package to reduce bloat.
# See http://dedup.debian.net/.
override_dh_installchangelogs:
	dh_installchangelogs
	-rm --verbose \
	   debian/mit-scheme/usr/share/doc/mit-scheme/changelog \
	   debian/mit-scheme-dbg/usr/share/doc/mit-scheme-dbg/changelog

override_dh_link:
	dh_link /usr/share/man/man1/mit-scheme.1.gz \
		/usr/share/man/man1/mit-scheme-$(BIN_ARCH).1.gz

override_dh_auto_clean:
	-dh_auto_clean

override_dh_clean:
	dh_clean --exclude=TAGS

## mit-scheme 10.1.3

=== debian/changelog ===
mit-scheme (10.1.3-2) unstable; urgency=medium

  * work around GNU tar cowardice (closes: #917808)
  * bump standards version
  * dh12
  * split debian/rules stanzas into -arch vs -indep where appropriate

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 03 Jan 2019 10:52:10 +0000

mit-scheme (10.1.3-1) unstable; urgency=medium

  * new upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 27 Nov 2018 20:03:09 +0000

## mit-scheme 10.1.5

=== debian/changelog ===
mit-scheme (10.1.5-1) unstable; urgency=medium

  * new upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 01 Feb 2019 12:05:39 +0000

mit-scheme (10.1.4-1) unstable; urgency=medium

  * new upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 14 Jan 2019 12:20:52 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: lisp
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
 		mit-scheme (>= 10),
 		libssl-dev, libmhash-dev, libmcrypt-dev,
 		libgdbm-dev, libpq-dev,
@@ -10,7 +10,7 @@
 		libx11-dev, libxt-dev,
 		libdb-dev, libltdl-dev,
 		texinfo, texlive
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://www.gnu.org/software/mit-scheme/
 Vcs-Git: https://salsa.debian.org/debian/mit-scheme.git
 Vcs-Browser: https://salsa.debian.org/debian/mit-scheme

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
https://ftp.gnu.org/gnu/mit-scheme/stable.pkg/([\d\.]+)/mit-scheme-([\d\.]+)\.tar\.gz debian uupdate

## mit-scheme 10.1.6

=== debian/changelog ===
mit-scheme (10.1.6-1build5) eoan; urgency=medium

  * Rebuild against new bootstrapped mit-scheme in the archive.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 May 2019 10:20:50 +0200

mit-scheme (10.1.6-1build4) eoan; urgency=medium

  * No change rebuild against bootstrapped package
    (package back in sync with Debian)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 May 2019 23:14:17 +0200

mit-scheme (10.1.6-1) unstable; urgency=medium

  * new upstream release
  * specify dh12 the new way

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 12 Apr 2019 01:03:16 +0100

## mit-scheme 10.1.7

=== debian/changelog ===
mit-scheme (10.1.7-1) unstable; urgency=medium

  * new upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 05 Jun 2019 20:27:44 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: lisp
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 12),
 		mit-scheme (>= 10),
 		libssl-dev, libmhash-dev, libmcrypt-dev,
 		libgdbm-dev, libpq-dev,

## mit-scheme 10.1.9

=== debian/changelog ===
mit-scheme (10.1.9-2) unstable; urgency=medium

  * bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 08 Aug 2019 11:06:09 +0200

mit-scheme (10.1.9-1) unstable; urgency=medium

  * new upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 13 Jun 2019 17:54:34 +0100

## mit-scheme 10.1.10

=== debian/changelog ===
mit-scheme (10.1.10-1build1) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:01:32 +0000

mit-scheme (10.1.10-1) unstable; urgency=medium

  * new upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 12 Aug 2019 11:31:26 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 		libx11-dev, libxt-dev,
 		libdb-dev, libltdl-dev,
 		texinfo, texlive
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://www.gnu.org/software/mit-scheme/
 Vcs-Git: https://salsa.debian.org/debian/mit-scheme.git
 Vcs-Browser: https://salsa.debian.org/debian/mit-scheme

=== debian/rules ===
--- 
+++ 
@@ -23,12 +23,20 @@
 CONF_FLAGS += --enable-pdf=/usr/share/doc/mit-scheme-doc/pdf
 CONF_FLAGS += --enable-ps=no
 
-override_dh_auto_configure:
+override_dh_auto_configure-arch:
 	dh_auto_configure --sourcedirectory=src -- $(CONF_FLAGS)
+
+override_dh_auto_configure-indep:
 	dh_auto_configure --sourcedirectory=doc -- $(CONF_FLAGS)
 
-# override_dh_auto_build:
-# SCHEME_COMPILER=mit-scheme $(MAKE)
+# May wish to pass parameter in dh_auto_build
+#  SCHEME_COMPILER=mit-scheme
+
+override_dh_auto_build-arch:
+	dh_auto_build --sourcedirectory=src
+
+override_dh_auto_build-indep:
+	dh_auto_build --sourcedirectory=doc
 
 DEB_HOST_GNU_CPU=$(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
 ifeq ($(DEB_HOST_GNU_CPU),x86_64)
@@ -37,9 +45,8 @@
 BIN_ARCH=$(DEB_HOST_GNU_CPU)
 endif
 
-override_dh_auto_install:
+override_dh_auto_install-arch:
 	dh_auto_install --sourcedirectory=src
-	dh_auto_install --sourcedirectory=doc -- install-html install-pdf
 	@echo remove symbolic link executables
 	cd debian/tmp/usr/bin && \
 	for f in scheme bchscheme mit-scheme mit-scheme-native; do \
@@ -52,16 +59,19 @@
 #	@echo delete runtime.com for MYSTERIOUS reasons
 #	@echo stop doing this because it breaks future builds
 #	find debian/tmp/usr/lib -name runtime.com -ls -delete
-	@echo allow dh scripts to compress info files themselves
-	find debian/tmp \( -name '*.info.gz' -o -name '*.info-*.gz' \) -ls -exec gunzip '{}' ';'
 	@echo remove .la library support files as these are not actually used by the dynamic linker
 	find debian/tmp -name '*.la' -ls -delete
 
-override_dh_install:
+override_dh_auto_install-indep:
+	dh_auto_install --sourcedirectory=doc -- install-html install-pdf
+	@echo allow dh scripts to compress info files themselves
+	find debian/tmp \( -name '*.info.gz' -o -name '*.info-*.gz' \) -ls -exec gunzip '{}' ';'
+
+override_dh_install-arch:
 	dh_install
 	@echo All .bci files belong in -dbg, move them manually for robustness
 	mkdir -p debian/mit-scheme-dbg
-	tar -C debian/mit-scheme -cf - $$(cd debian/mit-scheme && find -name '*.bci') \
+	tar -C debian/mit-scheme --create --file=- --files-from=/dev/null $$(cd debian/mit-scheme && find -name '*.bci') \
 	 | tar -C debian/mit-scheme-dbg -xvf -
 	find debian/mit-scheme -name '*.bci' -delete
 	@echo remove empty directory
@@ -70,13 +80,13 @@
 # Upstream changelog is over 5MB, leave a copy in the doc package but
 # remove it from the binary package to reduce bloat.
 # See http://dedup.debian.net/.
-override_dh_installchangelogs:
+override_dh_installchangelogs-arch:
 	dh_installchangelogs
 	-rm --verbose \
 	   debian/mit-scheme/usr/share/doc/mit-scheme/changelog \
 	   debian/mit-scheme-dbg/usr/share/doc/mit-scheme-dbg/changelog
 
-override_dh_link:
+override_dh_link-arch:
 	dh_link /usr/share/man/man1/mit-scheme.1.gz \
 		/usr/share/man/man1/mit-scheme-$(BIN_ARCH).1.gz

## mit-scheme 10.1.11

=== debian/changelog ===
mit-scheme (10.1.11-2) unstable; urgency=medium

  * Use dh_link support file *.links instead of override_:
  * mit-scheme(1) belongs in the binary package, but is auto-installed
    when the documentation package is built. Instead of laboriously
    working around this just install manually (closes: #962575)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 10 Jun 2020 14:21:47 +0100

mit-scheme (10.1.11-1) unstable; urgency=medium

  * new upstream release
  * bump debhelper from old 12 to 13
  * set upstream metadata fields: Repository, Repository-Browse
  * update standards version to 4.5.0, no changes needed
  * forward port quilt patches (context includes version)
  * merge debian mit-scheme(1) into quilt patch to upstream mit-scheme(1)
  * info dir file should not be installed

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 09 Jun 2020 12:09:43 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: lisp
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
 		mit-scheme (>= 10),
 		libssl-dev, libmhash-dev, libmcrypt-dev,
 		libgdbm-dev, libpq-dev,
@@ -10,7 +10,8 @@
 		libx11-dev, libxt-dev,
 		libdb-dev, libltdl-dev,
 		texinfo, texlive
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://www.gnu.org/software/mit-scheme/
 Vcs-Git: https://salsa.debian.org/debian/mit-scheme.git
 Vcs-Browser: https://salsa.debian.org/debian/mit-scheme

=== debian/rules ===
--- 
+++ 
@@ -40,14 +40,19 @@
 
 DEB_HOST_GNU_CPU=$(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
 ifeq ($(DEB_HOST_GNU_CPU),x86_64)
-BIN_ARCH=x86-64
+export BIN_ARCH=x86-64
 else
-BIN_ARCH=$(DEB_HOST_GNU_CPU)
+export BIN_ARCH=$(DEB_HOST_GNU_CPU)
 endif
 
 override_dh_auto_install-arch:
 	dh_auto_install --sourcedirectory=src
-	@echo remove symbolic link executables
+
+execute_after_dh_auto_install-arch:
+#	# This doesn't work because doc/ hasn't been *configured*
+#	# which hardly seems worth working around
+#	dh_auto_install --sourcedirectory=doc -- install-man
+	@echo "remove symbolic link executables"
 	cd debian/tmp/usr/bin && \
 	for f in scheme bchscheme mit-scheme mit-scheme-native; do \
 	  if [ -L $$f ]; then \
@@ -56,25 +61,26 @@
 	    echo skipping $$f; \
 	  fi; \
 	done
-#	@echo delete runtime.com for MYSTERIOUS reasons
-#	@echo stop doing this because it breaks future builds
+#	@echo "delete runtime.com for MYSTERIOUS reasons"
+#	@echo "stop doing this because it breaks future builds"
 #	find debian/tmp/usr/lib -name runtime.com -ls -delete
-	@echo remove .la library support files as these are not actually used by the dynamic linker
+	@echo "remove .la library support files as these are not actually used by the dynamic linker"
 	find debian/tmp -name '*.la' -ls -delete
 
 override_dh_auto_install-indep:
 	dh_auto_install --sourcedirectory=doc -- install-html install-pdf
-	@echo allow dh scripts to compress info files themselves
+
+execute_after_dh_auto_install-indep:
+	@echo "allow dh scripts to compress info files themselves"
 	find debian/tmp \( -name '*.info.gz' -o -name '*.info-*.gz' \) -ls -exec gunzip '{}' ';'
 
-override_dh_install-arch:
-	dh_install
-	@echo All .bci files belong in -dbg, move them manually for robustness
+execute_after_dh_install-arch:
+	@echo "All .bci files belong in -dbg, move them manually for robustness"
 	mkdir -p debian/mit-scheme-dbg
 	tar -C debian/mit-scheme --create --file=- --files-from=/dev/null $$(cd debian/mit-scheme && find -name '*.bci') \
 	 | tar -C debian/mit-scheme-dbg -xvf -
 	find debian/mit-scheme -name '*.bci' -delete
-	@echo remove empty directory
+	@echo "remove empty directory"
 	-rmdir debian/mit-scheme/usr/lib/x86_64-linux-gnu/mit-scheme/lib
 
 # Upstream changelog is over 5MB, leave a copy in the doc package but
@@ -86,10 +92,6 @@
 	   debian/mit-scheme/usr/share/doc/mit-scheme/changelog \
 	   debian/mit-scheme-dbg/usr/share/doc/mit-scheme-dbg/changelog
 
-override_dh_link-arch:
-	dh_link /usr/share/man/man1/mit-scheme.1.gz \
-		/usr/share/man/man1/mit-scheme-$(BIN_ARCH).1.gz
-
 override_dh_auto_clean:
 	-dh_auto_clean

## mit-scheme 11.1

=== debian/changelog ===
mit-scheme (11.1-4) unstable; urgency=medium

  * unified -arch and -indep!
  * name executable and man page symmetrically: with arch
  * fiddle with update-alternatives so
    - mit-scheme can be some arch-specific mit-scheme
    - scheme can be mit-scheme

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 10 Feb 2021 11:48:19 +0000

mit-scheme (11.1-3) unstable; urgency=medium

  * quilt patch to increase verbosity of texi2dvi
  * fracture build dependencies by -arch and -indep
  * dependency on texlive-plain-generic for epsf.tex

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 09 Feb 2021 17:08:35 +0000

mit-scheme (11.1-2) unstable; urgency=medium

  * build dependency on ghostscript for eps2eps

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 09 Feb 2021 11:59:25 +0000

mit-scheme (11.1-1) unstable; urgency=medium

  * new upstream release
  * bump policy
  * forward port quilt patches
  * --enable-cross-compiling when using old version to build new version
  * quilt patch to avoid missing extern compilation warning

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 09 Feb 2021 11:02:06 +0000

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 		libncurses5-dev,
 		libx11-dev, libxt-dev,
 		libdb-dev, libltdl-dev,
-		texinfo, texlive
-Standards-Version: 4.5.0
+		texinfo, texlive, ghostscript, texlive-plain-generic
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://www.gnu.org/software/mit-scheme/
 Vcs-Git: https://salsa.debian.org/debian/mit-scheme.git

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,11 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+# for DEB_HOST_GNU_CPU
+include /usr/share/dpkg/architecture.mk
+# for DEB_VERSION_UPSTREAM
+include /usr/share/dpkg/pkg-info.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
@@ -23,35 +28,53 @@
 CONF_FLAGS += --enable-pdf=/usr/share/doc/mit-scheme-doc/pdf
 CONF_FLAGS += --enable-ps=no
 
-override_dh_auto_configure-arch:
+# According to https://savannah.gnu.org/support/?110264 a build error like
+#
+#  Bad compiled-code version in FASL File: make.com
+#  File has: compiled-code interface 3; architecture 14.
+#  Expected: compiled-code interface 4; architecture 14.
+#
+# can occur when, e.g., 10.1.11 is installed but 11.1 is being built.
+# And can be prevented using a configuration flag.
+
+INSTALLED_MAJOR_VERSION:=$(shell dpkg --status mit-scheme | egrep '^Version:' | sed 's/^Version: //' | cut --delimiter=. --fields=1)
+BUILDING_MAJOR_VERSION:=$(shell echo $(DEB_VERSION_UPSTREAM) | cut --delimiter=. --fields=1)
+ifneq ($(INSTALLED_MAJOR_VERSION),$(BUILDING_MAJOR_VERSION))
+CONF_FLAGS += --enable-cross-compiling
+endif
+
+override_dh_auto_configure:
+# -arch
 	dh_auto_configure --sourcedirectory=src -- $(CONF_FLAGS)
-
-override_dh_auto_configure-indep:
+# -indep
 	dh_auto_configure --sourcedirectory=doc -- $(CONF_FLAGS)
 
 # May wish to pass parameter in dh_auto_build
 #  SCHEME_COMPILER=mit-scheme
 
-override_dh_auto_build-arch:
+override_dh_auto_build:
+# -arch
 	dh_auto_build --sourcedirectory=src
-
-override_dh_auto_build-indep:
+# -indep
 	dh_auto_build --sourcedirectory=doc
 
-DEB_HOST_GNU_CPU=$(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
 ifeq ($(DEB_HOST_GNU_CPU),x86_64)
 export BIN_ARCH=x86-64
 else
 export BIN_ARCH=$(DEB_HOST_GNU_CPU)
 endif
 
-override_dh_auto_install-arch:
+override_dh_auto_install:
+# -arch
 	dh_auto_install --sourcedirectory=src
-
-execute_after_dh_auto_install-arch:
+# -indep
 #	# This doesn't work because doc/ hasn't been *configured*
 #	# which hardly seems worth working around
 #	dh_auto_install --sourcedirectory=doc -- install-man
+	dh_auto_install --sourcedirectory=doc -- install-html install-pdf
+
+execute_after_dh_auto_install:
+# -arch
 	@echo "remove symbolic link executables"
 	cd debian/tmp/usr/bin && \
 	for f in scheme bchscheme mit-scheme mit-scheme-native; do \
@@ -66,11 +89,6 @@
 #	find debian/tmp/usr/lib -name runtime.com -ls -delete
 	@echo "remove .la library support files as these are not actually used by the dynamic linker"
 	find debian/tmp -name '*.la' -ls -delete
-
-override_dh_auto_install-indep:
-	dh_auto_install --sourcedirectory=doc -- install-html install-pdf
-
-execute_after_dh_auto_install-indep:
 	@echo "allow dh scripts to compress info files themselves"
 	find debian/tmp \( -name '*.info.gz' -o -name '*.info-*.gz' \) -ls -exec gunzip '{}' ';'
 
@@ -83,6 +101,11 @@
 	@echo "remove empty directory"
 	-rmdir debian/mit-scheme/usr/lib/x86_64-linux-gnu/mit-scheme/lib
 
+execute_after_dh_installman-arch:
+	@echo "install man page using arch; generic is via alternatives"
+	cd debian/mit-scheme/usr/share/man && \
+	 mv man1/mit-scheme.1 man1/mit-scheme-$(BIN_ARCH).1
+
 # Upstream changelog is over 5MB, leave a copy in the doc package but
 # remove it from the binary package to reduce bloat.
 # See http://dedup.debian.net/.
@@ -94,6 +117,3 @@
 
 override_dh_auto_clean:
 	-dh_auto_clean
-
-override_dh_clean:
-	dh_clean --exclude=TAGS

=== debian/watch ===
version=4
https://ftp.gnu.org/gnu/mit-scheme/stable.pkg/([\d\.]+)/@PACKAGE@-([\d\.]+)@ARCHIVE_EXT@ debian uupdate

## mit-scheme 11.2

=== dist/Makefile ===
# Copyright (C) 1986, 1987, 1988, 1989, 1990, 1991, 1992, 1993, 1994,
#     1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004,
#     2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014,
#     2015, 2016, 2017, 2018, 2019, 2020 Massachusetts Institute of
#     Technology
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA.

SUBDIRS = doc src

all:
	@for SUBDIR in $(SUBDIRS); do \
	    echo "Making $@ in $${SUBDIR}";\
	    ( cd $${SUBDIR}; $(MAKE) $@ ) || exit 1;\
	done

mostlyclean clean distclean maintainer-clean tags TAGS install:
	@for SUBDIR in $(SUBDIRS); do \
	    echo "Making $@ in $${SUBDIR}";\
	    ( cd $${SUBDIR}; $(MAKE) $@ ) || exit 1;\
	done

install-info-gz install-info install-html install-pdf install-ps:
	echo "making $@ in doc"
	( cd doc && $(MAKE) $@ )

.PHONY: all mostlyclean clean distclean maintainer-clean tags TAGS install
.PHONY: install-info-gz install-info install-html install-pdf install-ps

=== debian/changelog ===
mit-scheme (11.2-2ubuntu1) jammy; urgency=medium

  * d/p/0001-microcode-Make-definition-for-chacha_core-match-decl.patch:
    Pull in upstream patch to fix -Werror=array-parameter build error.
    (LP: #1965163).

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Thu, 17 Mar 2022 13:14:25 -0400

mit-scheme (11.2-2) unstable; urgency=medium

  * remove i386 from architecture list (closes: #982791)
  * add postrm script (closes: #987373)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 25 Aug 2021 11:40:16 +0100

mit-scheme (11.2-1) unstable; urgency=medium

  * new upstream release
  * check signature in debian/watch
  * remove upstream maintenance quilt patches

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 11 Mar 2021 00:54:23 +0000

mit-scheme (11.1-5) unstable; urgency=medium

  * track upstream maintenance branch as quilt patches
  * hope it compiles on i386

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 18 Feb 2021 14:09:59 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mit-scheme
 Section: lisp
 Priority: optional
-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper-compat (= 13),
 		mit-scheme (>= 10),
 		libssl-dev, libmhash-dev, libmcrypt-dev,
@@ -10,14 +11,14 @@
 		libx11-dev, libxt-dev,
 		libdb-dev, libltdl-dev,
 		texinfo, texlive, ghostscript, texlive-plain-generic
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://www.gnu.org/software/mit-scheme/
 Vcs-Git: https://salsa.debian.org/debian/mit-scheme.git
 Vcs-Browser: https://salsa.debian.org/debian/mit-scheme
 
 Package: mit-scheme
-Architecture: i386 amd64
+Architecture: amd64
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: mime-support
@@ -33,7 +34,7 @@
 
 Package: mit-scheme-dbg
 Section: debug
-Architecture: i386 amd64
+Architecture: amd64
 Multi-Arch: same
 Depends: mit-scheme (= ${binary:Version}), ${misc:Depends}
 Enhances: mit-scheme (= ${binary:Version})

=== debian/watch ===
version=4
opts="pgpmode=auto" \
 https://ftp.gnu.org/gnu/mit-scheme/stable.pkg/([\d\.]+)/@PACKAGE@-([\d\.]+)@ARCHIVE_EXT@ debian uupdate
